Bug 846097 (CVE-2012-3455) - CVE-2012-3455 Koffice: DOC file rendering buffer overflow
Summary: CVE-2012-3455 Koffice: DOC file rendering buffer overflow
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2012-3455
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 846098 846099
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-06 19:49 UTC by Kurt Seifried
Modified: 2019-09-29 12:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:59:01 UTC


Attachments (Terms of Use)

Description Kurt Seifried 2012-08-06 19:49:08 UTC
Charlie Miller reported a 0day flaw in the Nokia N9 which uses the Koffice 
libraries which in turn have been forked to create the Calligra product. 
Please see pages 39 and 40 of his slides available at: 

http://media.blackhat.com/bh-us-12/Briefings/C_Miller/BH_US_12_Miller_NFC_attack_surface_WP.pdf

===========

As reported by Thorsten Zachmann to the kde-packagers ml, here are the
commit ids:


The commit IDs for master is
8652ab672eaaa145dfb3782f5011de58aa4cc046
https://projects.kde.org/projects/calligra/repository/diff?rev=8652ab672eaaa145dfb3782f5011de58aa4cc046&rev_to=6e0323801dd144ad36720949fbef01d992a8e801

The commit ID for calligra/2.5 is
f04d585ca1d3ee27f125d0129a23ca7b7850902d
https://projects.kde.org/projects/calligra/repository/diff?rev=f04d585ca1d3ee27f125d0129a23ca7b7850902d&rev_to=b1bf5264e31cdab9e0b2fa74b7ae8393d6195af1

The commit ID for calligra/2.4 is
7d72f7dd8d28d18c59a08a7d43bd4e0654043103
https://projects.kde.org/projects/calligra/repository/diff?rev=7d72f7dd8d28d18c59a08a7d43bd4e0654043103&rev_to=7a9fa21b1f812b74b3e1501480dd14d10aeb347b

Comment 1 Kurt Seifried 2012-08-06 19:50:00 UTC
Created koffice tracking bugs for this issue

Affects: fedora-all [bug 846098]

Comment 2 Kurt Seifried 2012-08-06 19:51:14 UTC
Created koffice tracking bugs for this issue

Affects: epel-5 [bug 846099]

Comment 3 Jan Lieskovsky 2012-08-10 13:21:35 UTC
KDE security advisory:
http://www.kde.org/info/security/advisory-20120810-1.txt

Comment 4 Fedora Update System 2012-08-14 00:48:59 UTC
koffice-2.3.3-22.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2012-08-25 20:00:24 UTC
wv2-0.2.3-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Product Security DevOps Team 2019-06-10 10:59:01 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.